gnutls_pkcs7_get_embedded_data(3)

NAME
gnutls_pkcs7_get_embedded_data - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_get_embedded_data(gnutls_pkcs7_t pkcs7, unsigned idx, gnutls_datum_t * data);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t type

unsigned idx
    the index of the signature info to get the data from

gnutls_datum_t * data
    will hold the embedded data in the provided structure

DESCRIPTION
This function will return the data embedded in the signature of the PKCS7 structure. If no data are available then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

Note, that since a PKCS7 structure may contain embedded data for each attached signature, this function accepts and index which corresponds to the signature index to get the data from.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/